Search processing.org:

Reference for Processing version 1.0+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Class | Movie
Name | ### available()
Examples |
    import processing.video.*;
    Movie myMovie;

    void setup() {
      size(200, 200);
      frameRate(30);
      myMovie = new Movie(this, "totoro.mov");
      myMovie.loop();
    }

    void draw() {
      if(myMovie.available()) {
        myMovie.read();
      }
      image(myMovie, 0, 0);
    }
Description | Returns "true" when a new movie frame is available to read.
Syntax |
    mov.available()
Parameters |
mov | any variable of type Movie
Usage | Web & Application

Updated on November 22, 2008 08:39:22pm PST